Description

I would like to see a new grid function in composer, where a grid is not a property in a map object, but an object in it self.

It should of course be tied to a map object, but the benefits would be several.

1. I can have more grids than one.

2. I can create a grid in a different coordinate system (i.e. lat/long on a projected map).

3. I can style the labelling for the grid with more control.

Each grid object should be completely customizable with regards to grid lines and labels.

I'd really like to be able to only show kilometer digits by the grid lines and ignore digits of higher and lower significance.

Corner labels are also a feature that should be included in a grid object.

I've found some similar feature requests here, one or two by my self... (Feature #9292)

History

#1 - 2014-08-05 08:39 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Implemented in master.

#2 - 2014-08-06 11:01 AM - Klas Karlsson

Excelent, but...

I'd still like to see it possible to display projected coordinates (like 623000 - in meters) in kilometers (like 23) as grid labels.

Using the same example, corner labels where the "6" and trailing zeros is shown in a smaller font. This is useful if you only show part of the complete

coordinates as in the example above, but removing a definable number of most as well as least significant digits is a priority for me.

Thanks!!

#3 - 2014-08-25 06:28 PM - Nyall Dawson

Klas - Isn't your second request already covered by #9292?
